CH_REGISTER_CLOSE_FUNC(3)

EXPERIMENTAL_FUNC
ch_register_close_func - Register close callback.

SYNOPSIS
#include <karma_ch.h>

KCallbackFunc ch_register_close_func

(Channel channel, void (*func) (), void *info)

DESCRIPTION
This routine will register a close function for a channel. This is called when <-ch_close-> is called. Many close functions may be registered per channel. The first function registered is the first function called upon closure.

channel
    The channel object.

func
    The function that is called when the canvas is closed. The prototype function is <-ch_PROTO_close_func->.

info
    The arbitrary function information pointer.

RETURN VALUE
A KCallbackFunc object. On failure, the process aborts.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/